Groovy 1.7.10

## groovy.lang
[Java] Class DeprecationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.DeprecationException

    public class DeprecationException
    extends RuntimeException

Use this exception to mark a method implementation as being deprecated. Use the message to indicate the recommended way of calling the desired functionality. Make throwing this exception the only line in the method implementation, i.e. unlike the JavaDoc deprecated feature there is no relay to the new implementation but an early and deliberate halt of execution ("fail early"). This exception is supposed to be used in the SNAPSHOT releases only. Before release, all references to this exception should be resolved and the according methods removed.

Authors:
  Dierk Koenig

Constructor Summary
`DeprecationException(String message)`
`DeprecationException(String message, Throwable cause)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### DeprecationException

    public DeprecationException(String message)

### DeprecationException

    public DeprecationException(String message, Throwable cause)

Copyright © 2003-2010 The Codehaus. All rights reserved.